Bug 1328469 - fix_auth.rb undefined class/module ArgumentError
Summary: fix_auth.rb undefined class/module ArgumentError
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Appliance
Version: 5.4.0
Hardware: x86_64
OS: Linux
high
high
Target Milestone: GA
: 5.5.5
Assignee: Šimon Lukašík
QA Contact: Jan Krocil
URL:
Whiteboard: cli:upgrade
Depends On: 1323258
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-04-19 13:11 UTC by John Prause
Modified: 2016-07-26 15:32 UTC (History)
5 users (show)

Fixed In Version: 5.5.5.2
Doc Type: Bug Fix
Doc Text:
Clone Of: 1323258
Environment:
Last Closed: 2016-07-26 15:32:37 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:1488 normal SHIPPED_LIVE CFME 5.5.5 bug fixes and enhancement update 2016-07-26 19:28:27 UTC

Comment 2 CFME Bot 2016-06-22 18:37:23 UTC
New commit detected on cfme/5.5.z:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme.git;a=commitdiff;h=cf9e0f3b1d87fbb12428b3522f64f7c3ba6c57e1

commit cf9e0f3b1d87fbb12428b3522f64f7c3ba6c57e1
Merge: cfff8a1 cfdb04a
Author:     Gregg Tanzillo <gtanzill@redhat.com>
AuthorDate: Wed Jun 22 14:34:50 2016 -0400
Commit:     Gregg Tanzillo <gtanzill@redhat.com>
CommitDate: Wed Jun 22 14:34:50 2016 -0400

    Merge branch 'rhbz#1328469' into '5.5.z'
    
    fix_auth needs to run in rails environment after Vmdb::Settings
    
    My first merge request here. Review carefully.
    
    
    We cannot just require Vmdb::Settings as we would need to hardcode lot
    of require statements all over the vmdb helper that is implicit in rails
    evironment.
    
    Addressing:
    tools/fix_auth/models.rb:88:in `contenders': uninitialized constant
    FixAuth::FixSettingsChange::Vmdb (NameError)
    
    (cherry picked from commit 2c84d57f383e60b7bc3a5771cbc6771756d1a834)
    
    Backport because of
    https://bugzilla.redhat.com/show_bug.cgi?id=1328469
    
    See merge request !953

 tools/fix_auth.rb | 2 ++
 1 file changed, 2 insertions(+)

Comment 3 CFME Bot 2016-06-22 18:37:27 UTC
New commit detected on cfme/5.5.z:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme.git;a=commitdiff;h=cfdb04a79f1f9910d61830114816f635d27ef66f

commit cfdb04a79f1f9910d61830114816f635d27ef66f
Author:     Šimon Lukašík <isimluk@fedoraproject.org>
AuthorDate: Wed Apr 20 10:51:18 2016 +0200
Commit:     Šimon Lukašík <isimluk@fedoraproject.org>
CommitDate: Tue May 31 12:55:45 2016 +0200

    fix_auth needs to run in rails environment after Vmdb::Settings
    
    We cannot just require Vmdb::Settings as we would need to hardcode lot
    of require statements all over the vmdb helper that is implicit in rails
    evironment.
    
    Addressing:
    tools/fix_auth/models.rb:88:in `contenders': uninitialized constant
    FixAuth::FixSettingsChange::Vmdb (NameError)
    
    (cherry picked from commit 2c84d57f383e60b7bc3a5771cbc6771756d1a834)
    
    Backport because of
    https://bugzilla.redhat.com/show_bug.cgi?id=1328469

 tools/fix_auth.rb | 2 ++
 1 file changed, 2 insertions(+)

Comment 7 errata-xmlrpc 2016-07-26 15:32:37 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2016-1488.html


Note You need to log in before you can comment on or make changes to this bug.